4 Replies Latest reply on May 2, 2012 3:33 AM by nicolas duminil

    spring-jdbc not available in servicemix 4.4.1-fuse-03-06

    nicolas duminil Master

      Greetings,

       

      I'm using servicemix 4.4.1-fuse-03-06 and spring-jdbc doesn't seem to be available. Here is the output of osg:list | grep spring

       

      camel-spring                         camel-2.8.0-fuse-03-06

      camel-spring-integration             camel-2.8.0-fuse-03-06

      camel-spring-javaconfig              camel-2.8.0-fuse-03-06

      camel-spring-security                camel-2.8.0-fuse-03-06

      camel-spring-ws                      camel-2.8.0-fuse-03-06

      spring                               karaf-2.2.2-fuse-04-06

      spring-web                           karaf-2.2.2-fuse-04-06

      spring                               karaf-2.2.2-fuse-04-06

      spring-web                           karaf-2.2.2-fuse-04-06

      spring-dm                            karaf-2.2.2-fuse-04-06

      spring-dm-web                        karaf-2.2.2-fuse-04-06

      activemq-spring                      activemq-5.5.1-fuse-03-06

       

      I tried to install it using the following command:

       

      osgi:install -s mvn:org.springframework/spring-jdbc/3.1.1.RELEASE

       

      but it says it requires spring-beans. I tried to install spring-beans as well but it requires spring-core ans I'm afraid it will conflict with spring-osgi-core already installed.

       

      I looked for a bundle spring-osgi-jdbc but didn't find any. How can I use spring-jdbc with Karaf ?

       

      Many thanks in advance.

       

      Nicolas